Skip to main content
`Ctrl`+`K`

# PetscViewerBinaryRead

Reads from a binary file, all processors get the same result

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryRead(PetscViewer viewer, void *data, PetscInt num, PetscInt *count, PetscDataType dtype)

Collective; No Fortran Support

## Input Parameters

- viewer - the `PETSCVIEWERBINARY` viewer

- num - number of items of data to read

- dtype - type of data to read

## Output Parameters

- data - location of the read data, treated as an array of the type indicated by `dtype`

- count - number of items of data actually read, or `NULL`.

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerASCIIOpen()`, `PetscViewerPushFormat()`, `PetscViewerDestroy()`, `VecView()`, `MatView()`, `VecLoad()`, `MatLoad()`, `PetscViewerBinaryGetDescriptor()`, `PetscViewerBinaryGetInfoPointer()`, `PetscFileMode`, `PetscViewer`

## Level

beginner

## Location

src/sys/classes/viewer/impls/binary/binv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages